1

I'm using unattended upgrades on my RPi server which is running production grade personal servers (mail server, wordpress, nextcloud). Last night, the unattended upgrade uninstalled a lot of package as if it was an "auto remove" :

Unattended upgrade result: Toutes les mises à niveau ont été 
 installées 

Package Upgrade Tentative: (<= translated from French)
 libegl-mesa0 libegl1-mesa libgbm1 libgl1-mesa-dri libgl1-mesa-glx 
 libglapi-mesa libgles2-mesa libglx-mesa0 lxplug-volume 
 mesa-va-drivers mesa-vdpau-drivers raspi-config rc-gui rp-bookshelf 

Packages that were auto-removed:
 libqt5help5 qpdfview libxcb-icccm4 phantomjs smplayer 
 libqt5x11extras5 qpdfview-ps-plugin libqt5svg5 qt5ct smplayer-l10n 
 qjackctl libqt5designer5 libqt5printsupport5 libqt5gui5 
 libqt5widgets5 qt5-style-plugins libpoppler-qt5-1 megasync 
 qpdfview-djvu-plugin smplayer-themes qpdfview-translations 
 libqt5webkit5 libqt5quick5 qt5-gtk-platformtheme python3-pyqt5 
 libegl1-mesa piclone uuid libwnck-3-common libwnck-3-0 
 epiphany-browser gstreamer1.0-plugins-bad libzbar0 libsbc1 bluealsa 
 gstreamer1.0-gl rtmpdump libsoundtouch1 libsrtp2-1 libgraphene-1.0-0 
 libxkbcommon-x11-0 libqt5sensors5 lxplug-network 
 gstreamer1.0-omx-rpi rp-prefapps zenity libyelp0 
 libwebkit2gtk-4.0-37 libgstreamer-gl1.0-0 rc-gui yelp pipanel 
 gstreamer1.0-omx raspberrypi-ui-mods gstreamer1.0-omx-rpi-config 
 libdca0 libmplex2-2.1-0 lxplug-cputemp fio agnostics 
 gtk2-engines-pixflat libgstreamer-plugins-bad1.0-0 
 libqt5positioning5 gnome-themes-standard xserver-xorg-input-all 
 xserver-xorg xserver-xorg-input-libinput libinput10 
 xserver-xorg-core xserver-xorg-video-fbdev 
 xserver-xorg-video-fbturbo libpciaccess0 libnuma1 
 libxcb-render-util0 geoclue-2.0 lxplug-ptbatt libwebkitgtk-3.0-0 
 libmpeg2encpp-2.1-0 lxplug-ejecter librdmacm1 epiphany-browser-data 
 libofa0 youtube-dl libgfapi0 libmpcdec6 libkate1 
 libgnome-desktop-3-12 zenity-common gtk2-engines-clearlookspix 
 libnice10 libgupnp-igd-1.0-4 lxplug-volume libxcb-xkb1 
 libxcb-xinerama0 libspandsp2 libavahi-gobject0 libxcb-keysyms1 
 pixflat-icons python3-sip lxplug-magnifier iio-sensor-proxy libegl1 
 libegl-mesa0 mpv libmodplug1 libwildmidi2 libgfrpc0 libgfxdr0 
 libglusterfs0 rp-bookshelf libjavascriptcoregtk-3.0-0 libunwind8 
 fonts-piboto libqt5script5 libqt5webchannel5 libwacom-common 
 libwacom2 libinput-bin libmtdev1 rpd-plym-splash libqt5qml5 yelp-xsl 
 libva-wayland2 pi-greeter lxplug-bluetooth rpd-wallpaper libevdev2 
 xdg-dbus-proxy xserver-common libossp-uuid16 libvo-amrwbenc0 
 libvo-aacenc0 libwildmidi-config python3-pyxattr libmjpegutils-2.1-0 
 libxfont2 pishutdown libxcb-randr0 libwoff1 libvulkan1 

Packages that were kept from being auto-removed:
 libqt5help5 

I checked the content of all the dpkg.log files I have to make sure I didn't remove a basic package by mistake but didn't find anything except ddclient mi July (and I'm sure I did some apt-get auto-remove since then).

A lot of things keep on working (and specifically all the server things which are running in a docker envt) but I lost my X server / lightdm / bluetooth and so on.

I reinstalled raspberrypi-ui-mods which brought back the desktop and a lot of the above uninstalled packages...

Any idea of what could have happened?

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.